EZ_SetGradientBarColors(3)

NAME
EZ_SetGradientBarColors, EZ_GetGradientBarColor
 - set/retrieve the colors a gradient bar

SYNOPSIS
#include <EZ.h>

void EZ_SetGradientBarColors( EZ_Widget *gbar, char **clrs, int nclrs)
void EZ_GetGradientBarColor( EZ_Widget *gbar, int *r, int *g, int *b)

ARGUMENTS
gbar Specifies a gradient bar widget.

clrs Specifies an array of symbolic colors.

nclrs Specifies the number of elements in clrs.

r,g,b Specifies the return for the current RGB value. spin function f.

DESCRIPTION
A gradient bar displays a smooth shaded color bar. The color bar is controled by up to 12 colors. A gradient bar behaves more or less like a slider, except it returns both a float point value and a RGB value. The scroll button on a gradient bar has 4 different styles.

EZ_SetGradientBarColors sets the colors to be used to render the gradient bar.

EZ_GetGradientBarColor returns the current RGB color of a gradient bar.

SEE ALSO
EZ_SetGradientBarRange(3), EZ_GetGradientBarValue(3)